textarea, input { outline: none; }

html, body {
	padding: 0;
	margin: 0;
}

html {
	overflow: hidden;
}

body {
	overflow-y: auto;
	overflow-x: hidden;
}

.center {
	margin: 0;
    position: absolute !important;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
}

.centerY {
	margin: 0;
    position: absolute !important;
    top: 50%;
    transform: translate(-0%, -50%);
    -webkit-transform: translate(-0%, -50%);
    -moz-transform: translate(-0%, -50%);
    -ms-transform: translate(-0%, -50%);
}

.centerX {
	margin: 0;
    position: absolute !important;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, 0%);
    -webkit-transform: translate(-50%, 0%);
    -moz-transform: translate(-50%, 0%);
    -ms-transform: translate(-50%, 0%);
}

.corners {
	-moz-border-radius: 8px;
	-webkit-border-radius: 8px;
	border-radius: 8px;
}

.noSelect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.break-word {
	-ms-word-break: break-all;
	-ms-word-wrap: break-all;
	-webkit-word-break: break-word;
	-webkit-word-wrap: break-word;
	word-break: break-word;
	word-wrap: break-word;
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
}

.clearfix:before,
.clearfix:after {
    content: ".";    
    display: block;    
    height: 0;    
    overflow: hidden; 
}
.clearfix:after { clear: both; }
.clearfix { zoom: 1; } /* IE < 8 */